<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop, Watch } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import { apiErrorHandler, redirectPage } from "@/utils/apiHanlers";
import { api } from "~/common/constaint";
import _ from "lodash";
@Component({})
export default class AdminSettingsPaymentComponent extends Vue {
	@Prop()
	tab!: number;

	config = {
		page: 1,
		limit: 25,
		search: "",
	};
	page = 1;
	loadingTable = false;

	get totalPage() {
		return this.$store.state.adminUsers.totalPage || 0;
	}

	get listPayment() {
		return this.$store.state.adminUsers.listPayment || [];
	}

	mounted() {
		this.onGetListPayment();
	}

	async onGetListPayment() {
		const sellerId = this.$store.state.adminUsers.sellerId || "";
		if (!sellerId) {
			return this.$pushNotification.error("Not found sellerId");
		}
		this.$store.dispatch("adminUsers/onGetListPayment", {
			ctx: this,
			sellerId,
		});
	}

	onRedirectPage() {
		this.config.page = this.page;
		this.onGetListPayment();
	}

	calcLengthPolicy(payment: any) {
		let total = 0;
		if (payment.paymentId?.policyId) {
			const {
				refund,
				privacy,
				shipping,
				terms,
				faqs,
				aboutUs,
				dmca,
				cancelAndOrderChange,
				paymentMethod,
			} = payment.paymentId.policyId;
			const policyId = {
				refund,
				privacy,
				shipping,
				terms,
				faqs,
				aboutUs,
				dmca,
				cancelAndOrderChange,
				paymentMethod,
			};
			for (let policy of Object.keys(policyId)) {
				if (payment.paymentId?.policyId[policy]) {
					total += 1;
				}
			}
		}
		return total;
	}

	@Watch("config.page")
	changedPage() {
		this.onGetListPayment();
	}

	@Watch("tab")
	changedTab(value: number) {
		if (value === 2) {
			this.onGetListPayment();
		}
	}
}
</script>

<style></style>

